
Name:		libnetfilter_queue1
Version:	1.0.2
Release:	4.2
Group:		Productivity/Networking/Security
Summary:	Library for interfacing with Netfilter/packet queueing to userspace
License:	GPL
URL:		http://netfilter.org/projects/libnetfilter_queue/

Source:		libnetfilter_queue-%{version}.tar.bz2
Patch0:		libnetfilter_queue-%{version}-glibc.patch
BuildRequires:	libnfnetlink-devel libmnl-devel >= 1.0.3 pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %{version}-%{release}
%endif

%description
libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Éric Leblond
	Harald Welte

%package -n libnetfilter_queue-devel
Group:		Development/Libraries/C and C++
Summary:	Development files for libnetfilter_queue
Requires:	%name = %version
Requires:	libnfnetlink-devel
Requires:	libmnl-devel >= 1.0.3

%description -n libnetfilter_queue-devel
Development files for libnetfilter_queue.

libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Éric Leblond
	Harald Welte

%prep
%setup -qn libnetfilter_queue-%version
%if 0%{?centos_version} == 6 || 0%{?rhel_version} >= 600 || 0%{?sl_version} == 6
%patch0 -p1
%endif

%build
%configure --disable-static
%__make %{?jobs:-j%jobs};

%install
b="%buildroot";
mkdir -p "$b";
%__make install DESTDIR="$b";
find "$b" -type f -iname "*.la" -print0 | xargs -0 rm -f;

%clean
rm -Rf "%buildroot";

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n libnetfilter_queue-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*

%changelog
* Tue Oct  9 2012 cs@linux-administrator.com
- update to release 1.0.2
* Sun Apr 22 2012 cs@linux-administrator.com
- update to release 1.0.1
